/* -*- pftp-c -*- */

#ifndef OUTPUT_VIEW_H
#define OUTPUT_VIEW_H

typedef struct output_view_s *output_view_t;

typedef enum {
  STATUS,
  ERR,
  LIST1,
  LIST2,
  N_TYPES
} output_type_t;

output_view_t initOutputView(GtkTextView *view);
void freeOutputView(output_view_t view);

void output_printf(output_view_t view, output_type_t type, 
		   const char *format, ...);

#endif /* OUTPUT_VIEW_H */
