/* -*- pftp-c -*- */

#ifndef GLOBALS_H
#define GLOBALS_H

#include <pftputil.h> // for pftp_conf_t
#include "list_view.h"
#include "queue_view.h"
#include "output_view.h"
#include "load_menu.h"
#include "need_pass_dlg.h"
#include "rawcmd_dlg.h"
#include "newdir_dlg.h"
#include "rename_dlg.h"
#include "delete_dlg.h"

extern list_view_t curlist, left, right;
extern output_view_t output;
extern queue_view_t queue;  
extern load_menu_t loadmenu;
extern int abort_transfer, abort_que;
extern pftp_conf_t global_config;

#endif /* GLOBALS_H */
