/* -*- pftp-c -*- */

#ifndef QUEUE_VIEW_H
#define QUEUE_VIEW_H

#include "list_view.h"

typedef struct queue_view_s *queue_view_t;

queue_view_t initQueueView(GtkTreeView *view);
void freeQueueView(queue_view_t view);

void enqueueView(queue_view_t view, list_view_t src, list_view_t target, 
		 size_t count, list_view_file_t *item);

void dequeueView(queue_view_t view);

void updateQueueView(queue_view_t view);

void startQueueView(queue_view_t view);
void abortQueueView(queue_view_t view);
void pauseQueueView(queue_view_t view);

pftp_server_t getQueFtpTarget(queue_view_t view);

#endif /* QUEUE_VIEW_H */
